YUI AS Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class BackgroundImageMode

Package | com.yahoo.yui.charts
Class | public class BackgroundImageMode

Public Constants

| Constant | Defined by
--- | --- | ---
|  | NO_REPEAT : String = "no-repeat" [static] | BackgroundImageMode
|  | REPEAT : String = "repeat" [static] | BackgroundImageMode
|  | REPEAT_X : String = "repeat-y" [static] | BackgroundImageMode
|  | REPEAT_Y : String = "repeat-x" [static] | BackgroundImageMode
|  | STRETCH : String = "stretch" [static] | BackgroundImageMode
|  | STRETCH_AND_MAINTAIN_ASPECT_RATIO : String = "stretchMaintainAspectRatio" [static] | BackgroundImageMode

Constant detail

NO_REPEAT | constant

`public static const NO_REPEAT:String = "no-repeat"`

REPEAT | constant |

`public static const REPEAT:String = "repeat"`

REPEAT_X | constant |

`public static const REPEAT_X:String = "repeat-y"`

REPEAT_Y | constant |

`public static const REPEAT_Y:String = "repeat-x"`

STRETCH | constant |

`public static const STRETCH:String = "stretch"`

STRETCH_AND_MAINTAIN_ASPECT_RATIO | constant |

`public static const STRETCH_AND_MAINTAIN_ASPECT_RATIO:String = "stretchMaintainAspectRatio"`